package com.huimv.admin.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.admin.entity.ProtEnvData;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * <p>
 * 生产管理环境监测 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2024-08-13
 */
public interface ProtEnvDataMapper extends BaseMapper<ProtEnvData> {
    List<ProtEnvData> listData(@Param(Constants.WRAPPER)QueryWrapper<ProtEnvData> queryWrapper);

    List<ProtEnvData> listDataDay(@Param(Constants.WRAPPER)QueryWrapper<ProtEnvData> queryWrapper);
}
