package com.huimv.admin.controller;


import com.huimv.admin.common.utils.Result;
import com.huimv.admin.service.IProtEnvDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 * 生产管理环境监测 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-08-13
 */
@RestController
@RequestMapping("/prot-env-data")
@CrossOrigin
public class ProtEnvDataController {

    @Autowired
    private IProtEnvDataService envDataService;

    @RequestMapping("/listData")
    public Result listData(@RequestBody Map<String, String> paramsMap) {
        return envDataService.listData(paramsMap);
    }
    @RequestMapping("/listHistory")
    public Result listHistory(@RequestBody Map<String, String> paramsMap) {
        return envDataService.listHistory(paramsMap);
    }
}
