package com.huimv.admin.controller;


import com.huimv.admin.common.utils.Result;
import com.huimv.admin.entity.ProtVaccination;
import com.huimv.admin.service.IProtVaccinationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Date;
import java.util.Map;

/**
 * <p>
 * 生产管理检疫 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-08-13
 */
@RestController
@RequestMapping("/prot-vaccination")
@CrossOrigin
public class ProtVaccinationController {

    @Autowired
    private IProtVaccinationService vaccinationService;

    @RequestMapping("/listPage")
    public Result listPage(@RequestBody Map<String, String> paramsMap) {
        return vaccinationService.listPage(paramsMap);
    }

    @RequestMapping("/add")
    public Result add(@RequestBody ProtVaccination vaccination) {
        vaccination.setCreateTime(new Date());
        vaccinationService.save(vaccination);
        return new Result(10000, "新增成功！", true);
    }
}
