package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 单个羊只信息
 * </p>
 *
 * @author author
 * @since 2024-08-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("prot_sheep_info")
public class ProtSheepInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 羊只编码
     */
    private String sheepId;

    /**
     * 羊只母类编码
     */
    private String sheepFather;

    /**
     * 羊只父类编码
     */
    private String sheepMother;

    /**
     * 羊只种类
     */
    private String sheepType;

    /**
     * 羊只日龄
     */
    private Integer sheepDay;

    /**
     * 羊只体重
     */
    private Double sheepWeight;

    /**
     * 羊只所在单元id
     */
    private Integer unitId;

    /**
     * 羊只所在单元名称
     */
    private String unitName;

    /**
     * 批次号
     */
    private String batchNum;

    private Integer farmId;

    private LocalDateTime createTime;


}
