package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 生产管理检疫
 * </p>
 *
 * @author author
 * @since 2024-08-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("prot_vaccination")
public class ProtVaccination implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 免疫数量
     */
    private Integer number;

    /**
     * 药物名称
     */
    private String medicine;

    /**
     * 使用方法
     */
    private String method;

    /**
     * 操作人
     */
    private String registerUser;

    /**
     * 备注
     */
    private String remark;

    /**
     * 批次号
     */
    private String batchNum;

    private Integer farmId;


}
