package com.huimv.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.admin.common.utils.Result;
import com.huimv.admin.entity.SysCamera;
import com.huimv.admin.entity.vo.CameraListVo;
import com.huimv.admin.entity.vo.CameraListsVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
public interface ISysCameraService extends IService<SysCamera> {
    Result listPage(CameraListVo cameraListVo);

    List getCameraDetails(CameraListsVo cameraListsVo) throws InterruptedException;

    Result add(SysCamera camera);

    Result updates(SysCamera camera);

//    Result initCamera(Integer farmId, Integer userId);
}
